Create Folder
curl --request POST \
--url https://api.reportify.cn/v1/docs/folder/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.reportify.cn/v1/docs/folder/create"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.reportify.cn/v1/docs/folder/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"folder_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}知识库和文件管理
Folder Create
OAI docs folder create
POST
/
v1
/
docs
/
folder
/
create
Create Folder
创建文件夹
URL:/v1/docs/folder/create方法:
POST描述: 创建一个新的文件夹。
请求参数
| 参数名 | 类型 | 描述 |
|---|---|---|
| name | str | 文件夹名称 |
响应参数
| 参数名 | 类型 | 描述 |
|---|---|---|
| id | str | 文件夹唯一 ID |
请求示例
cURLcurl -X POST https://api.reportify.cn/v1/docs/folder/create \
-H "Authorization: Bearer 447460****09c9" \
-H "Content-Type: application/json" \
-d '{
"name": "AI Reports"
}'
import requests
url = "https://api.reportify.cn/v1/docs/folder/create"
headers = {
"Authorization": "Bearer 447460****09c9",
"Content-Type": "application/json"
}
payload = {
"name": "AI Reports"
}
response = requests.post(url, headers=headers, json=payload)
print(response.json())
响应示例
{
"id": "folder_12345"
}
⌘I
